local Sequences = GSMasterSequences

----
-- These Macros were created by HiroYakamura (Pixxý-Teldrassil EU) and are thus under copyright / GNU License. You may shre them if proper credit is given.
-- Please respect my and other authors property rights, otherwise there might come a time were no one wants to create content anymore because of it being stolen anyways.
-- If you have some ideas on how to improve a sequence, please feel free to contact me via the curse.com website and I will see if we can include your improvements. Proper credit will be given.
----

-- Beast Mastery (specID = 253)

Sequences['BM_ST_MT_Solo'] = {
specID = 253,
author = "HiroYakamura",
helpTxt = "Single-Target - Talent: 3112112 - Use Shift modifier to trigger Aspect of the Wild if running low on Focus",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/petattack [@target,exists]
/cast [@pet,combat]Misdirection 
/cast [combat] Bestial Wrath
/cast [mod:shift,combat] Aspect of the Wild
/cast [mod:alt,combat] Titan's Thunder
]],
'/cast Dire Beast',
'/cast [combat] Kill Command',
'/cast [mod:alt,combat] Multi-Shot; [combat] Cobra Shot',
'/cast [combat] A Murder of Crows',
PostMacro = [[
/cast Mend Pet
/startattack [@target,exists]
]],
}

Sequences['BM_ST'] = {
specID = 253,
author = "HiroYakamura",
helpTxt = "Single-Target - Talent: 3112112 - Use ALT modifier when at least 1 Dire Beast is up for Titen's Thunder - Use SHIFT modifier to align Aspect of the Wild with Beastial Wrath (BW) by delaying BW execution - Makes sure to PrePot with Potion of Prolonged Power 1 second before Boss pull",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/petattack
/cast [nomod:shift,combat] Bestial Wrath
/cast [nomod:shift,combat] Aspect of the Wild
/cast [mod:alt,combat] Titan's Thunder
]],
'/cast Dire Beast',
'/cast [combat] Kill Command',
'/cast [combat] Cobra Shot',
'/cast [combat] A Murder of Crows',
PostMacro = [[
/cast Mend Pet
/startattack [@target,exists]
]],
}

Sequences['BM_MT'] = {
specID = 253,
author = "HiroYakamura",
helpTxt = "Multi-Target - Talent: 3112112 - Use ALT modifier when at least 1 Dire Beast is up for Titen's Thunder - Use SHIFT modifier to align Aspect of the Wild with Beastial Wrath (BW) by delaying BW execution - USE ALT Modifier during Bloodlust Phase to make use of Kill Command in AOE - Makes sure to PrePot with Potion of Prolonged Power 1 second before Boss pull",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/petattack
/cast [nomod:shift,combat] Bestial Wrath
/cast [nomod:shift,combat] Aspect of the Wild
/cast [mod:alt,combat] Titan's Thunder
]],
'/cast Dire Beast',
'/cast [combat] Multi-Shot',
'/cast [combat] A Murder of Crows',
'/cast [mod:alt,combat] Kill Command',
PostMacro = [[
/cast Aspect of the Wild
/startattack [@target,exists]
]],
}

-- Survival (specID = 255)

Sequences['Survival_ST'] = {
specID = 255,
author = "HiroYakamura",
helpTxt = "Single-Target - Talent: 2312322 - Use Shift modifier for Burst-Phase - Use ALT modifier to use Artifact when 4-6 Mongoose Stacks are available",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/petattack
/cast [mod:shift] Aspect of the Eagle
/cast [mod:alt] Fury of the Eagle 
]],
'/cast Explosive Trap',
'/cast Dragonsfire Grenade',
'/cast Lacerate',
'/castsequence Mongoose Bite, Mongoose Bite, Mongoose Bite, Snake Hunter',
'/cast Mongoose Bite',
'/cast Throwing Axes',
'/cast Flanking Strike',
'/cast [mod:shift] Raptor Strike',
PostMacro = [[
/startattack [@target,exists]
]],
}

Sequences['Survival_MT'] = {
specID = 255,
author = "HiroYakamura",
helpTxt = "Multi-Target - Talent: 2312322 - Use Shift modifier for Burst-Phase - Use ALT modifier to use Artifact when 4-6 Mongoose Stacks are available.",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/petattack
/cast [mod:shift] Aspect of the Eagle
/cast [mod:alt] Fury of the Eagle
]],
'/cast Explosive Trap',
'/cast Dragonsfire Grenade',
'/cast Lacerate',
'/castsequence Mongoose Bite, Mongoose Bite, Mongoose Bite, Snake Hunter',
'/cast Mongoose Bite',
'/cast Throwing Axes',
'/cast Carve',
'/cast [mod:shift] Raptor Strike',
PostMacro = [[
/startattack [@target,exists]
]],
}

-- Marksmanship - (specID = 254)

Sequences['MM_ST_MT_Solo'] = {
author = 'HiroYakamura',
specID = 254,
helpTxt = "Talent: 2113331 - For solo play incl. Mend Pet and Misdirection - Use Shift modifier for Burst-Phase - For best performance in AOE situations, target enemy furthest away",
StepFunction = GSStaticPriority,
PreMacro = [[
/cast !Volley
/targetenemy [noharm][dead]
/petattack [@target,exists]
/cast [mod:shift]Trueshot
/cast [@pet,combat]Misdirection 
]],
'/cast [combat,nochanneling] Marked Shot',
'/cast [combat,nochanneling] Windburst',
'/cast [nochanneling] Sidewinders',
'/cast [combat,nochanneling] Aimed Shot',
PostMacro = [[
/cast Mend Pet
/startattack [@target,exists]
]],
}

Sequences['MM_ST_MT'] = {
author = 'HiroYakamura',
specID = 254,
helpTxt = "Single Target - Talent: 1113X31 - Use Shift modifier for Burst-Phase - For best performance in AOE situations, target enemy furthest away",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [mod:shift]Trueshot
]],
'/cast [combat,nochanneling] Marked Shot',
'/cast [combat,nochanneling] Windburst',
'/cast [nochanneling] Sidewinders',
'/cast [combat,nochanneling] Aimed Shot',
PostMacro = [[
/startattack [@target,exists]
]],
}

Sequences['MM_ST_MT_ALT'] = {
author = 'HiroYakamura',
specID = 254,
helpTxt = "ST / MT Target (Alternative) - Talent: 1113311 - Use Shift modifier for Burst-Phase - For best performance in AOE situations, target enemy furthest away",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [mod:shift]Trueshot
]],
'/cast [combat] Marked Shot',
'/cast [combat] A Murder of Crows',
'/cast [combat] Windburst',
'/cast Sidewinders',
'/cast [combat] Aimed Shot',
PostMacro = [[
/startattack [@target,exists]
]],
}

Sequences['MM_ST'] = {
author= 'HiroYakamura',
specID= 254,
helpTxt = 'Talents: 1112323 - Use Shift modifier for Burst-Phase - Use this if you do not like Sidewinders Talent',
PreMacro=[[
/cast !Volley
/targetenemy [noharm][dead]
/cast [mod:shift] Trueshot
]],
'/cast Marked Shot',
'/cast Windburst',
'/cast Aimed Shot',
'/cast Arcane Shot',
PostMacro=[[
/startattack [@target,exists]
]],
}

Sequences['MM_MT'] = {
author = 'HiroYakamura',
specID = 254,
helpTxt = 'Talents: 1112323 - Use Shift modifier for Burst-AOE - Use this if you do not like Sidewinders Talent',
PreMacro=[[
/cast !Volley
/targetenemy [noharm][dead]
/castsequence [mod:shift] Trueshot, Sentinel
]],
'/cast Marked Shot',
'/cast Windburst',
'/cast Aimed Shot',
'/cast Multi-Shot',
PostMacro=[[
/startattack [@target,exists]
]],
}
